# $Revision: 1.17 $, $Date: 2010/07/08 08:20:48 $

%define 	module	Lupy

Summary:	Full-text indexer and search engine
Summary(pl.UTF-8):	Silnik pełnotekstowego wyszukiwania i indeksowania dokumentów
Name:		python-%{module}
Version:	0.2.1
Release:	4
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/lupy/%{module}-%{version}.tar.gz
# Source0-md5:	515ea0b4aab8dd8299480cb9a0da6068
URL:		http://www.divmod.org/Home/Projects/Lupy/
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lupy is a full-text indexer and search engine written in Python. It is
a port of Jakarta Lucene 1.2 to Python. Specifically, it reads and
writes indexes in Lucene binary format.

%description -l pl.UTF-8
Lupy jest silnikiem umożliwiającym pełnotekstowe przeszukiwanie i
indeksowanie dokumentów. Lupy jest portem systemu Jakarta Lucene 1.2
do Pythona. Zapisuje i odczytuje indeksy w binarnym formacie Lucene.

%prep
%setup -q -n %{module}-%{version}

%build
# Build it without warnings
mv setup.py blah.blah
sed 's/platform/platforms/' < blah.blah > setup.py

python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt changelog.txt examples PKG-INFO
%{py_sitescriptdir}/lupy

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Lupy.spec,v $
Revision 1.17  2010/07/08 08:20:48  arekm
- release 4

Revision 1.16  2008/10/03 17:53:17  arekm
- release 3

Revision 1.15  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.13  2004/12/25 15:41:26  saq
- release 2 for rebuild with python 2.4

Revision 1.12  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.11  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.10  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.9  2004/05/13 10:18:13  qboosh
- updated to 0.2.1, noarch, switched to sitescriptdir

Revision 1.8  2004/05/12 10:43:55  qboosh
- release 3

Revision 1.7  2004/05/12 10:39:45  qboosh
- fixed Group

Revision 1.6  2004/03/14 23:23:49  qboosh
- more specific URL

Revision 1.5  2004/03/14 22:45:05  qboosh
- release 2

Revision 1.4  2004/03/14 22:43:52  qboosh
- en fix

Revision 1.3  2004/03/14 21:50:23  qboosh
- removed LICENSE from doc (just LGPL)

Revision 1.2  2004/03/14 21:47:36  qboosh
- cleanups

Revision 1.1  2004/03/14 21:46:08  qboosh
- from Marcin Gajda
